Debian Bug report logs - #597043
linux-source-2.6.32: patch_via.c FTBFS if SND_HDA_POWER_SAVE unset (2.6.32-21 -> 22 regression)

version graph

Package: linux-source-2.6.32; Maintainer for linux-source-2.6.32 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: George Ronkin <gronkin@nerdvana.com>

Date: Thu, 16 Sep 2010 04:42:12 UTC

Severity: normal

Found in version linux-2.6/2.6.32-22

Fixed in version linux-2.6/2.6.32-24

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#597043; Package linux-source-2.6.32. (Thu, 16 Sep 2010 04:42:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to George Ronkin <gronkin@nerdvana.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 16 Sep 2010 04:42:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: George Ronkin <gronkin@nerdvana.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-source-2.6.32: patch_via.c FTBFS if SND_HDA_POWER_SAVE unset (2.6.32-21 -> 22 regression)
Date: Wed, 15 Sep 2010 21:22:15 -0700
Package: linux-source-2.6.32
Version: 2.6.32-22
Severity: normal

    If CONFIG_SND_HDA_POWER_SAVE is not set, sound/pci/hda/patch_via.c
no longer compiles in linux-source-2.6.32 version 2.6.32-22. Setting
CONFIG_SND_HDA_POWER_SAVE was not necessary in 2.6.32-21 and prior
versions. I had oldconfig'ed the .config I used for 2.6.32-21 before
attempting to build 2.6.32-22, but my unset CONFIG_SND_HDA_POWER_SAVE was
neither detected nor changed.
    Setting CONFIG_SND_HDA_POWER_SAVE works around the problem. Presumably
the cause is the Debian changes to patch_via.c for 2.6.32-22, so I'd
recommend fixing them, but at least this should be documented and caught
by an oldconfig.



-- System Information:
Debian Release: squeeze/sid
  APT prefers oldstable
  APT policy: (500, 'oldstable'), (500, 'unstable'), (500, 'testing'), (500,
'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-oak.22.1 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-source-2.6.32 depends on:
ii  binutils                      2.20.1-12  The GNU assembler, linker and bina
ii  bzip2                         1.0.5-1    high-quality block-sorting file co

Versions of packages linux-source-2.6.32 recommends:
ii  gcc                           4:4.4.4-2  The GNU C compiler
ii  libc6-dev [libc-dev]          2.11.2-5   Embedded GNU C Library: Developmen
ii  make                          3.81-5     The GNU version of the "make" util

Versions of packages linux-source-2.6.32 suggests:
ii  kernel-package            12.036         A utility for building Linux kerne
ii  libncurses5-dev [ncurses- 5.7+20100313-2 developer's libraries and docs for
ii  libqt3-mt-dev             3:3.3.8b-5     Qt development files (Threaded)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#597043; Package linux-source-2.6.32. (Sun, 19 Sep 2010 02:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 19 Sep 2010 02:15:04 GMT) Full text and rfc822 format available.

Message #10 received at 597043@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: George Ronkin <gronkin@nerdvana.com>, 597043@bugs.debian.org
Subject: Re: Bug#597043: linux-source-2.6.32: patch_via.c FTBFS if SND_HDA_POWER_SAVE unset (2.6.32-21 -> 22 regression)
Date: Sun, 19 Sep 2010 03:11:52 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2010-09-15 at 21:22 -0700, George Ronkin wrote:
> Package: linux-source-2.6.32
> Version: 2.6.32-22
> Severity: normal
> 
>     If CONFIG_SND_HDA_POWER_SAVE is not set, sound/pci/hda/patch_via.c
> no longer compiles in linux-source-2.6.32 version 2.6.32-22. Setting
> CONFIG_SND_HDA_POWER_SAVE was not necessary in 2.6.32-21 and prior
> versions. I had oldconfig'ed the .config I used for 2.6.32-21 before
> attempting to build 2.6.32-22, but my unset CONFIG_SND_HDA_POWER_SAVE was
> neither detected nor changed.
>     Setting CONFIG_SND_HDA_POWER_SAVE works around the problem. Presumably
> the cause is the Debian changes to patch_via.c for 2.6.32-22, so I'd
> recommend fixing them, but at least this should be documented and caught
> by an oldconfig.

The 'Debian changes' are taken from a later upstream version.  However I
failed to notice that they introduced this regression, or that there was
a later fix for it.  Tthe attached patch fixes this and will be included
in 2.6.32-24.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[sound-use-semicolons-to-end-statements.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sun, 19 Sep 2010 02:15:06 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Thu, 30 Sep 2010 02:51:18 GMT) Full text and rfc822 format available.

Notification sent to George Ronkin <gronkin@nerdvana.com>:
Bug acknowledged by developer. (Thu, 30 Sep 2010 02:51:18 GMT) Full text and rfc822 format available.

Message #17 received at 597043-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 597043-close@bugs.debian.org
Subject: Bug#597043: fixed in linux-2.6 2.6.32-24
Date: Thu, 30 Sep 2010 02:48:33 +0000
Source: linux-2.6
Source-Version: 2.6.32-24

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-24_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-24_all.deb
linux-2.6_2.6.32-24.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-24.diff.gz
linux-2.6_2.6.32-24.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-24.dsc
linux-base_2.6.32-24_all.deb
  to main/l/linux-2.6/linux-base_2.6.32-24_all.deb
linux-doc-2.6.32_2.6.32-24_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-24_all.deb
linux-manual-2.6.32_2.6.32-24_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-24_all.deb
linux-patch-debian-2.6.32_2.6.32-24_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-24_all.deb
linux-source-2.6.32_2.6.32-24_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-24_all.deb
linux-support-2.6.32-5_2.6.32-24_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-5_2.6.32-24_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 597043@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 30 Sep 2010 00:46:16 +0100
Source: linux-2.6
Binary: linux-tools-2.6.32 linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64-dbg xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac
 linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc
 linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-all-sparc64
Architecture: all source
Version: 2.6.32-24
Distribution: unstable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 591540 596453 596635 597043 597636 597820 597904 598103 598147
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 linux-tools-2.6.32 - Performance analysis tools for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs (meta-package)
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs (meta-package)
Changes: 
 linux-2.6 (2.6.32-24) unstable; urgency=high
 .
   [ Ben Hutchings ]
   * speakup: Update to match Debian package version 3.1.5.dfsg.1-1
   * scsi_dh_emc: Fix mode select request setup (Closes: #591540)
   * snd-hda-codec-via: Fix syntax error when CONFIG_SND_HDA_POWER_SAVE is
     disabled (Closes: #597043)
   * Add stable 2.6.32.22:
     - [vserver] Revert sched changes since they conflict.
   * Recommend use of 'make deb-pkg' to build custom kernel packages
   * [x86] Revert "i915: Blacklist i830, i845, i855 for KMS". The current X
     driver (xserver-xorg-video-intel version 2.12.0+shadow-1) should work
     properly with KMS on these chips. (Closes: #596453)
   * phonet: Restrict to initial namespace (Closes: #597904)
   * Add stable 2.6.32.23:
     - serial/mos*: prevent reading uninitialized stack memory
     - net: Fix oops from tcp_collapse() when using splice()
     - rds: fix a leak of kernel memory
     - hso: prevent reading uninitialized memory (CVE-2010-3298)
     - cxgb3: prevent reading uninitialized stack memory (CVE-2010-3296)
     - eql: prevent reading uninitialized stack memory (CVE-2010-3297)
     - vt6655: fix buffer overflow
     - net/llc: make opt unsigned in llc_ui_setsockopt()
     - sisfb: prevent reading uninitialized stack memory
     - aio: check for multiplication overflow in do_io_submit (CVE-2010-3067)
     - xfs: prevent reading uninitialized stack memory (CVE-2010-3078)
     - viafb: prevent reading uninitialized stack memory
     - [hppa,ia64] mm: guard page for stacks that grow upwards (CVE-2010-2240)
     - sctp: Do not reset the packet during sctp_packet_config()
       (CVE-2010-3432)
   * xen: Fix typo in xen_percpu_chip definition
   * 3c59x: Remove incorrect locking (Closes: #598103)
   * f71882fg: Add support for the f71889fg (Closes: #597820)
   * drm/radeon: Fix regressions introduced in 2.6.34.3 (Closes: #597636)
   * mmc: fix hangs related to mmc/sd card insert/removal during suspend/resume
     (Closes: #598147)
 .
   [ Martin Michlmayr ]
   * ARM: update mach types.
   * [armel/config.kirkwood] Enable MACH_DOCKSTAR.
 .
   [ Ian Campbell ]
   * [x86/xen] Disable netfront's smartpoll mode by default. (Closes: #596635)
 .
   [ maximilian attems ]
   * [openvz] Update upstream patch to 2.6.32-dyomin.
Checksums-Sha1: 
 dac310b83bbf81beba8f87ce9cc27848cc94e2e2 6969 linux-2.6_2.6.32-24.dsc
 0951645ac3525f504dc5e7fe34f25ab2c0c0fef3 13116178 linux-2.6_2.6.32-24.diff.gz
 85a2f3242b2c9b6a3cd8943e80830413fa0da94b 6050388 linux-doc-2.6.32_2.6.32-24_all.deb
 fd0dab3d9c87e2831377dc2a882bae5509d93462 2727346 linux-manual-2.6.32_2.6.32-24_all.deb
 9c8a7c5bf9d87e6c7599ad7e29a96aa5f2a7e33c 6624282 linux-patch-debian-2.6.32_2.6.32-24_all.deb
 5b75fd4421ef00af23e788c6a2ca36afd01ff828 64762336 linux-source-2.6.32_2.6.32-24_all.deb
 a48b3619083c302df4d6c14bec520165ef540423 150862 linux-support-2.6.32-5_2.6.32-24_all.deb
 368f1f41adc8a3c7f74d79fc88440a976f95d450 139240 firmware-linux-free_2.6.32-24_all.deb
 1c1823269d136921f2a7c3c0f7e28a65cfe8c681 157878 linux-base_2.6.32-24_all.deb
Checksums-Sha256: 
 1f7870f8fd1d2301360277f0c7bd598009f226732d5f63e242dadc97ccfc6d31 6969 linux-2.6_2.6.32-24.dsc
 88013d810bded59411df65df7ecfc8e8ba4a6e9fc9c99bbbf100983181b80f99 13116178 linux-2.6_2.6.32-24.diff.gz
 ed94469489dc9baaa93892e80dc9e4e6117f1e6b39accf6912cec7ea688e78b5 6050388 linux-doc-2.6.32_2.6.32-24_all.deb
 97d859b520c225549379f051425dbcf1dc6aa419ebf2d39ab68b934f845d1e74 2727346 linux-manual-2.6.32_2.6.32-24_all.deb
 2029ab9341f16c4711271001922a4c0cbf6e8b858baafaf6e64cc8d6f5e3a7af 6624282 linux-patch-debian-2.6.32_2.6.32-24_all.deb
 f23f68b4ad2cc93851755b281b44a0f84e1983dd47e73f0cce0c759adc3e3038 64762336 linux-source-2.6.32_2.6.32-24_all.deb
 7753cc0aa69fa150b23061160ca98fc43de58a7bea2ac33baea8389037ff73c5 150862 linux-support-2.6.32-5_2.6.32-24_all.deb
 beea730a324791c78951dc4e8b3bfaa997fae7d318e7f33ec1269628b210399d 139240 firmware-linux-free_2.6.32-24_all.deb
 e28f655ab50c558959f09363fcfbb2cc4682c685ac62f532aae07d4fa8ada962 157878 linux-base_2.6.32-24_all.deb
Files: 
 bf8f45cdbd68fd1b7c736e89c54b433c 6969 kernel optional linux-2.6_2.6.32-24.dsc
 7cc4a1d80d403e26f6eca74c3708dc74 13116178 kernel optional linux-2.6_2.6.32-24.diff.gz
 5c2dab1b29802328baeeafea0efcc198 6050388 doc optional linux-doc-2.6.32_2.6.32-24_all.deb
 17e3c12f43eb4ac5f9785c653ce31051 2727346 doc optional linux-manual-2.6.32_2.6.32-24_all.deb
 bb18b807fe1e0f453553d8931e2ecf14 6624282 kernel optional linux-patch-debian-2.6.32_2.6.32-24_all.deb
 29da1d8b42741400dca4ee4a32881d02 64762336 kernel optional linux-source-2.6.32_2.6.32-24_all.deb
 b8b9795ce3870aa005ff0b5723f57b9e 150862 devel optional linux-support-2.6.32-5_2.6.32-24_all.deb
 96321f9f46afc89e71ff1281d517ceb3 139240 kernel optional firmware-linux-free_2.6.32-24_all.deb
 6915c3cbcd04b883719b961411f7bfd3 157878 kernel optional linux-base_2.6.32-24_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBTKPjfOe/yOyVhhEJAQoFvg/+NCE3cAeLVzlXcq77YWsRI5gEFDrK9Rkl
smxe00yyZ1Rsx53nNTLoMTjjGVDXvXmot2CcBJknXJ+LO6gy2FjqzQJyeDfxFsJs
FhCmHnK9NbaU2mxE2QyQrFGUuJZ3Ph+TqwCx4DgNxn92rIiGILxRN6XB/QixNQaC
pjNZaInyTrThl6KRRuHLlBZdktO9AhVH8NHVbPsI+9kmq6L+iMRMao9Sl3kToQCw
ivIZcu/18Lw1yZxblAZBAMxgL2ByiCIkBkZouOJJbWE1enje1s95e7tlV1ovREFn
wULws+n/Qbn7ceSbzEvY3a5m0n0usjsjsWt7SX+JCnR8DBSrkpyZ5A8nZY2wen53
wIXmiDC6C5Ce+cfxTT5CDv5qrH54LpFuc5FiiLCPGV9/m5DQ5vQSoDyQQ5DyUQpY
SBEhFuk1EueOIerqBEGXwsLZpoTDzgC5Li2FX+s6TRx3SjPpFf9ukXhRwK4CYSRB
KAXsY8MInFuxqkttJ94/7+ZglAZlqnpcjqTB3pJKSf2kJs+whyAZR9R+rzyPnSdK
bxPWkUioHttTKk/hR1LeYdjilSy4KgNUB+zGpwYhsDSaG3a5woPvtw4u4htIB8uX
ksyEcPfDZjJjpQbawwLfonFiu9qwqbSvGH6rEVAGyUgWj3JzRJ386vjcck3rFgi8
1rn7TE3Hwdk=
=dXGx
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Oct 2010 07:31:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:57:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.